Subject: Re: [PATCH/RESEND] gitweb: Fix snapshots requested via PATH_INFO

From: Jakub Narebski <[email-masked]>
Date: Mon, 20 Apr 2009 02:52:48 -0700 (PDT)

I'm sorry for resend, but I forgot to quote non-ASCII in 'Cc:'
and vger anti-SPAM filter rejected message...

Jakub Narebski <[email-masked]> writes:
> On Wed, 15 April 2009, Junio C Hamano wrote:
>> Holger Weiß <[email-masked]> writes:
>> 
>>> Fix the detection of the requested snapshot format, which failed for
>>> PATH_INFO URLs since the references to the hashes which describe the
>>> supported snapshot formats weren't dereferenced appropriately.
>>>
>>> Signed-off-by: Holger Weiß <[email-masked]>
>>> ---
>>> I guess this one got lost.  Without this patch, snapshots won't work if
>>> Gitweb is configured to generate PATH_INFO URLs.  (Original Message-ID:
>>> <[email-masked]>).
>> 
>> The patch looks obviously correct; "our %known_snapshort_formats" maps a
>> name to a hashref, but the current code makes a nonsense assignment,
>> essentialy doing ($fmt, %opt) = ($name, $hashref), but what would I
>> know...  I am not using gitweb actively.
>> 
>> These lines come from 1ec2fb5 (gitweb: retrieve snapshot format from
>> PATH_INFO, 2008-11-02) by Guiseppe.
>> 
>> Judging from the "git shortlog -n -s --grep=PATH_INFO gitweb" output, I
>> think I should have heard from either Guiseppe and Jakub by now if this
>> patch is desired.  Pinging them...
> 
> This change looks correct, and is very much desired.  Thanks for
> catching this.

Ping!  This is quite straighforward bugfix for a new feature...

> By the way, if there was check added for full path_info snapshot URL in
> existing t/t9500-gitweb-standalone-no-errors.sh it would caught this
> bug thanks to the
>   "Odd number of elements in hash assignment ..."
> warning that Perl throws in this case. 

... or are you waiting for test case?

-- 
Jakub Narebski
Poland
ShadeHawk on #git